# Method: projects.locations.zones.signal

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#body.aspect_1)
- [StateSignal](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#StateSignal)
- [ProvisioningStateSignal](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#ProvisioningStateSignal)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#try-it)

Signals the state of a zone.

### HTTP request

`POST https://gdchardwaremanagement.googleapis.com/v1alpha/{name=projects/*/locations/*/zones/*}:signal`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the zone. Format: `projects/{project}/locations/{location}/zones/{zone}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestId": string, "stateSignal": enum (`https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#StateSignal`), "provisioningStateSignal": enum (`https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#ProvisioningStateSignal`), "step": string, "details": string } ``` |

| Fields ||
|---|---|
| `requestId` | `string` Optional. An optional unique identifier for this request. See [AIP-155](https://google.aip.dev/155). |
| `stateSignal` | ``enum (`https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#StateSignal`)`` Optional. The state signal to send for this zone. Either stateSignal or provisioningStateSignal must be set, but not both. |
| `provisioningStateSignal` | ``enum (`https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.zones/signal#ProvisioningStateSignal`)`` Optional. The provisioning state signal to send for this zone. Either stateSignal or provisioningStateSignal must be set, but not both. |
| `step` | `string` Optional. The step being executed. Provides a finer grained status when the stateSignal is FACTORY_TURNUP_CHECKS_STARTED or FACTORY_TURNUP_CHECKS_FAILED. |
| `details` | `string` Optional. Additional details, such as an error message when stateSignal is FACTORY_TURNUP_CHECKS_FAILED. It can also include site validation output. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/hardware/rest/v1alpha/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `gdchardwaremanagement.zones.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## StateSignal

Valid state signals for a zone.

| Enums ||
|---|---|
| `STATE_SIGNAL_UNSPECIFIED` | State signal of the zone is unspecified. |
| `FACTORY_TURNUP_CHECKS_STARTED` | Factory turnup checks have started. |
| `FACTORY_TURNUP_CHECKS_PASSED` | The Zone is ready for site turnup. |
| `READY_FOR_SITE_TURNUP` | The Zone is ready for site turnup. Deprecated, but not deleted. > [!WARNING] > This item is deprecated! |
| `FACTORY_TURNUP_CHECKS_FAILED` | The Zone failed in factory turnup checks. |
| `VERIFY_CLUSTER_INTENT_PRESENCE` | Verify that a valid cluster intent is present. |
| `SITE_VALIDATION_PASSED` | Site validation has passed all checks. |
| `SITE_VALIDATION_FAILED` | Site validation has failed. |

## ProvisioningStateSignal

Valid provisioning state signals for a zone.

| Enums ||
|---|---|
| `PROVISIONING_STATE_SIGNAL_UNSPECIFIED` | Provisioning state signal is unspecified. |
| `PROVISIONING_IN_PROGRESS` | Provisioning is in progress. |
| `PROVISIONING_COMPLETE` | Provisioning is complete. |